Debian Bug report logs - #732358
pu: package lxc/0.8.0~rc1-8+deb7u2

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Raphael Hertzog <hertzog@debian.org>

Date: Tue, 17 Dec 2013 07:57:02 UTC

Severity: normal

Tags: pending, wheezy

Fixed in version 7.4

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hertzog@debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#732358; Package release.debian.org. (Tue, 17 Dec 2013 07:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to hertzog@debian.org, Debian Release Team <debian-release@lists.debian.org>. (Tue, 17 Dec 2013 07:57:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package lxc/0.8.0~rc1-8+deb7u2
Date: Tue, 17 Dec 2013 08:52:25 +0100
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

The "debian" template provided by Wheezy's lxc has been broken from the
start due to live-debconfig never making it to wheezy (and inaction from
the maintainer).

For details: http://bugs.debian.org/680469

I would like to get a usable debian template and after some investigation,
I concluded that the easiest solution was to use the upstream provided
script. That said I opted to use the latest upstream version of said
script because it has been fixed to install the current stable release of
Debian instead of using squeeze...

Please find the debdiff attached.

I did some basic tests to ensure that it works and asked others people on
the bug report to do the same and got back a successful report already.

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.11-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/
[lxc.debdiff-2 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#732358; Package release.debian.org. (Tue, 17 Dec 2013 23:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 17 Dec 2013 23:09:04 GMT) Full text and rfc822 format available.

Message #10 received at 732358@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 732358@bugs.debian.org
Subject: Re: Bug#732358: pu: package lxc/0.8.0~rc1-8+deb7u2
Date: Wed, 18 Dec 2013 00:06:44 +0100
On Tue, 17 Dec 2013, Raphael Hertzog wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: pu
> 
> The "debian" template provided by Wheezy's lxc has been broken from the
> start due to live-debconfig never making it to wheezy (and inaction from
> the maintainer).
> 
> For details: http://bugs.debian.org/680469

Someone requested me to squeeze another fix in that stable update:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=720122
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=10;filename=devpts-mode.patch;att=2;bug=720122

It's a one-liner that fix issues with containers running with glibc >=
2.18. Would this be acceptable as well ?

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Added tag(s) wheezy. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 21 Dec 2013 07:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#732358; Package release.debian.org. (Mon, 06 Jan 2014 21:48:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Jan 2014 21:48:18 GMT) Full text and rfc822 format available.

Message #17 received at 732358@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 732358@bugs.debian.org
Subject: Re: Bug#732358: pu: package lxc/0.8.0~rc1-8+deb7u2
Date: Mon, 6 Jan 2014 22:47:29 +0100
Hello dear release managers,

On Tue, 17 Dec 2013, Raphael Hertzog wrote:
> I would like to get a usable debian template and after some investigation,
> I concluded that the easiest solution was to use the upstream provided
> script. That said I opted to use the latest upstream version of said
> script because it has been fixed to install the current stable release of
> Debian instead of using squeeze...

[...]

> Someone requested me to squeeze another fix in that stable update:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=720122
> http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=10;filename=devpts-mode.patch;att=2;bug=720122
> 
> It's a one-liner that fix issues with containers running with glibc >=
> 2.18. Would this be acceptable as well ?

Ping about this stable update request ?

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#732358; Package release.debian.org. (Thu, 30 Jan 2014 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 30 Jan 2014 19:57:04 GMT) Full text and rfc822 format available.

Message #22 received at 732358@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Raphael Hertzog <hertzog@debian.org>, 732358@bugs.debian.org
Subject: Re: Bug#732358: pu: package lxc/0.8.0~rc1-8+deb7u2
Date: Thu, 30 Jan 2014 19:51:56 +0000
On Wed, 2013-12-18 at 00:06 +0100, Raphael Hertzog wrote:
> On Tue, 17 Dec 2013, Raphael Hertzog wrote:
> > The "debian" template provided by Wheezy's lxc has been broken from the
> > start due to live-debconfig never making it to wheezy (and inaction from
> > the maintainer).
> > 
> > For details: http://bugs.debian.org/680469

I'd be okay with this change.

> Someone requested me to squeeze another fix in that stable update:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=720122
> http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=10;filename=devpts-mode.patch;att=2;bug=720122
> 
> It's a one-liner that fix issues with containers running with glibc >=
> 2.18. Would this be acceptable as well ?

It appears this issue isn't fixed in unstable yet; is that correct?

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#732358; Package release.debian.org. (Thu, 30 Jan 2014 21:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 30 Jan 2014 21:03:09 GMT) Full text and rfc822 format available.

Message #27 received at 732358@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 732358@bugs.debian.org
Subject: Re: Bug#732358: pu: package lxc/0.8.0~rc1-8+deb7u2
Date: Thu, 30 Jan 2014 22:01:10 +0100
On Thu, 30 Jan 2014, Adam D. Barratt wrote:
> > > For details: http://bugs.debian.org/680469
> 
> I'd be okay with this change.

Great.

> > Someone requested me to squeeze another fix in that stable update:
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=720122
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=10;filename=devpts-mode.patch;att=2;bug=720122
> > 
> > It's a one-liner that fix issues with containers running with glibc >=
> > 2.18. Would this be acceptable as well ?
> 
> It appears this issue isn't fixed in unstable yet; is that correct?

Looks like so, the fix seems to be only in 0.9.0-18 which had been
uploaded to experimental. I really wish lxc had a better maintainer...

That said this precise fix has made its way upstream:
https://github.com/lxc/lxc/commit/67e5a20ad1b5579a571f43f7dd8a1556a8bea7a1

So it should be safe to apply IMO.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#732358; Package release.debian.org. (Fri, 31 Jan 2014 22:12:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 31 Jan 2014 22:12:20 GMT) Full text and rfc822 format available.

Message #32 received at 732358@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Raphael Hertzog <hertzog@debian.org>, 732358@bugs.debian.org
Subject: Re: Bug#732358: pu: package lxc/0.8.0~rc1-8+deb7u2
Date: Fri, 31 Jan 2014 22:11:46 +0000
On Thu, 2014-01-30 at 22:01 +0100, Raphael Hertzog wrote:
> On Thu, 30 Jan 2014, Adam D. Barratt wrote:
> > > It's a one-liner that fix issues with containers running with glibc >=
> > > 2.18. Would this be acceptable as well ?
> > 
> > It appears this issue isn't fixed in unstable yet; is that correct?
> 
> Looks like so, the fix seems to be only in 0.9.0-18 which had been
> uploaded to experimental. I really wish lxc had a better maintainer...
> 
> That said this precise fix has made its way upstream:
> https://github.com/lxc/lxc/commit/67e5a20ad1b5579a571f43f7dd8a1556a8bea7a1
> 
> So it should be safe to apply IMO.

I've been arguing with myself a little, but on balance I'd prefer to
stick with the template change for now.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#732358; Package release.debian.org. (Sat, 01 Feb 2014 07:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 01 Feb 2014 07:39:04 GMT) Full text and rfc822 format available.

Message #37 received at 732358@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 732358@bugs.debian.org
Subject: Re: Bug#732358: pu: package lxc/0.8.0~rc1-8+deb7u2
Date: Sat, 1 Feb 2014 08:26:45 +0100
Hi,

On Fri, 31 Jan 2014, Adam D. Barratt wrote:
> I've been arguing with myself a little, but on balance I'd prefer to
> stick with the template change for now.

Thanks, uploaded.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#732358; Package release.debian.org. (Sat, 01 Feb 2014 19:18:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 01 Feb 2014 19:18:58 GMT) Full text and rfc822 format available.

Message #42 received at 732358@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Raphael Hertzog <hertzog@debian.org>, 732358@bugs.debian.org
Subject: Re: Bug#732358: pu: package lxc/0.8.0~rc1-8+deb7u2
Date: Sat, 01 Feb 2014 19:17:47 +0000
Control: tags -1 + pending

On Sat, 2014-02-01 at 08:26 +0100, Raphael Hertzog wrote:
> On Fri, 31 Jan 2014, Adam D. Barratt wrote:
> > I've been arguing with myself a little, but on balance I'd prefer to
> > stick with the template change for now.
> 
> Thanks, uploaded.

Flagged for acceptance; thanks.

Regards,

Adam




Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to 732358-submit@bugs.debian.org. (Sat, 01 Feb 2014 19:18:58 GMT) Full text and rfc822 format available.

Marked as fixed in versions 7.4. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 08 Feb 2014 11:27:45 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 08 Feb 2014 11:27:46 GMT) Full text and rfc822 format available.

Notification sent to Raphael Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Sat, 08 Feb 2014 11:27:47 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Mar 2014 07:32:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:34:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.